<div fxLayout="row">
  <div class="row" fxFlex="80" fxFlexOffset="10">

    <!-- ============================================= Roles Selection ============================================ -->
    <raamCard *ngIf="roles" title="Roles" fxFlexOffset="1" fxFlex="25">
      <div fxLayout="column" fxFlex="grow" [style.height]="'35vh'">
        <div fxLayout="column" [style.height]="'15vh'">
          <raamInput title="Name" [value]="name" (valueChange)="name = $event"></raamInput>

          <div fxLayout="row" fxLayoutAlign="space-between end">
            <raamInput title="Color" [value]="color" (valueChange)="color = $event" fxFlex></raamInput>
            <raamColor fxFlex="11" fxFlexOffset="1" [color]="color"></raamColor>
            <button class="btn btn-success" fxFlexOffset="1" (click)="postOneRoll()">
              <span class="fa fa-plus"></span>
            </button>
          </div>

          <raamHeadline title=" " fxFlexOffset="2"></raamHeadline>
        </div>

        <div class="rollHolder" fxLayout="column" [style.height]="'20vh'">
          <div *ngFor="let role of roles" fxLayout="row" fxLayoutAlign="start end">
            <raamSwitch [value]="true" [label]="role.name" [color]="role.color" fxFlex="60"></raamSwitch>
            <button class="btn btn-sm btn-secondary" (click)="displayRole = role">
              <span class="fa fa-arrow-right"></span>
            </button>
          </div>
          <div *ngIf="roles.length === 0" fxFlex="grow" fxLayout="column" fxLayoutAlign="center center">
            <button class="btn btn-outline-primary" (click)="defaultRolesModal.open()">create default</button>
          </div>
        </div>
      </div>
    </raamCard>

    <!-- ============================================= Role Edit ============================================ -->
    <raamCard *ngIf="displayRole" title="Edit" fxFlexOffset="20" fxFlex="25">
      <div fxLayout="column" fxFlex="grow">
        <div fxLayout="column">
          <raamInput title="Name" [value]="displayRole.name" (valueChange)="displayRole.name = $event"></raamInput>

          <div fxLayout="row" fxLayoutAlign="space-between end">
            <raamInput title="Color" [value]="displayRole.color" (valueChange)="displayRole.color = $event"
                       fxFlex></raamInput>
            <raamColor fxFlex="11" fxFlexOffset="1" [color]="displayRole.color"></raamColor>
          </div>

          <div fxLayout="row" fxLayoutAlign="end end">
            <button class="btn btn-success" (click)="putOneRoll()" fxFlex="20">Save</button>
          </div>
        </div>
      </div>
    </raamCard>

  </div>
</div>

<defaultRolesModal #defaultRolesModal (finished)="getAllRolls()"></defaultRolesModal>
